# Generated by Django 3.0.2 on 2020-05-03 02:13

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('ybloc', '0002_auto_20200426_1755'),
    ]

    operations = [
        migrations.AlterField(
            model_name='documentvehicule',
            name='type_doc',
            field=models.CharField(blank=True, choices=[('carte', 'carte'), ('assurance', 'assurance'), ('visite', 'visite'), ('extincteur', 'extincteur')], max_length=100, null=True, verbose_name='type document'),
        ),
        migrations.AlterField(
            model_name='procuration',
            name='email',
            field=models.CharField(blank=True, max_length=191, null=True),
        ),
        migrations.AlterField(
            model_name='procuration',
            name='nom',
            field=models.CharField(blank=True, max_length=191, null=True),
        ),
        migrations.AlterField(
            model_name='procuration',
            name='prenom',
            field=models.CharField(blank=True, max_length=191, null=True),
        ),
        migrations.AlterField(
            model_name='procuration',
            name='tel',
            field=models.CharField(blank=True, max_length=191, null=True),
        ),
        migrations.CreateModel(
            name='PaiementClient',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('mode', models.CharField(blank=True, choices=[('Virement bancaire', 'Virement bancaire'), ('Airtel money', 'Airtel money'), ('Visa', 'Visa'), ('Espèce / cheque', 'Espèce / cheque')], max_length=100, null=True, verbose_name='Mode')),
                ('reference', models.CharField(blank=True, max_length=250, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(blank=True, null=True)),
                ('client', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='ybloc.Client')),
            ],
        ),
    ]
